<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2021 The Android Open Source Project.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/mobile_navigation"
    app:startDestination="@id/startOrderFragment">


    <fragment
        android:id="@+id/startOrderFragment"
        android:name="com.example.lunchtray.ui.order.StartOrderFragment"
        android:label="@string/tile_start_order"
        tools:layout="@layout/fragment_start_order" >
        <action
            android:id="@+id/action_startOrderFragment_to_entreeMenuFragment"
            app:destination="@id/entreeMenuFragment"
            />
    </fragment>
    <fragment
        android:id="@+id/entreeMenuFragment"
        android:name="com.example.lunchtray.ui.order.EntreeMenuFragment"
        android:label="@string/title_entree_menu"
        tools:layout="@layout/fragment_entree_menu" >
        <action
            android:id="@+id/action_entreeMenuFragment_to_startOrderFragment"
            app:destination="@id/startOrderFragment"
            app:popUpTo="@id/startOrderFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_entreeMenuFragment_to_sideMenuFragment"
            app:destination="@id/sideMenuFragment" />
    </fragment>
    <fragment
        android:id="@+id/checkoutFragment"
        android:name="com.example.lunchtray.ui.order.CheckoutFragment"
        android:label="@string/title_checkout"
        tools:layout="@layout/fragment_checkout" >
        <action
            android:id="@+id/action_checkoutFragment_to_startOrderFragment"
            app:destination="@id/startOrderFragment"
            app:popUpTo="@id/startOrderFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/sideMenuFragment"
        android:name="com.example.lunchtray.ui.order.SideMenuFragment"
        android:label="@string/title_side_menu"
        tools:layout="@layout/fragment_side_menu" >
        <action
            android:id="@+id/action_sideMenuFragment_to_startOrderFragment"
            app:destination="@id/startOrderFragment"
            app:popUpTo="@id/startOrderFragment"
            app:popUpToInclusive="true"/>
        <action
            android:id="@+id/action_sideMenuFragment_to_accompanimentMenuFragment"
            app:destination="@id/accompanimentMenuFragment" />
    </fragment>
    <fragment
        android:id="@+id/accompanimentMenuFragment"
        android:name="com.example.lunchtray.ui.order.AccompanimentMenuFragment"
        android:label="@string/title_accompaniment_menu"
        tools:layout="@layout/fragment_accompaniment_menu" >
        <action
            android:id="@+id/action_accompanimentMenuFragment_to_startOrderFragment"
            app:destination="@id/startOrderFragment"
            app:popUpTo="@id/startOrderFragment"
            app:popUpToInclusive="true"/>
        <action
            android:id="@+id/action_accompanimentMenuFragment_to_checkoutFragment"
            app:destination="@id/checkoutFragment" />
    </fragment>
</navigation>
